#32/64
%define __libtoolize    /bin/true

Name:           rofi
Version:        1.7.5
Release:        %mkrel 2
Summary:        A window switcher, run dialog and dmenu replacement
License:        MIT
Packager:   	Agent Smith  <ruidobranco@yahoo.com.br>
Group:          Graphical desktop/Other
Url:            https://github.com/DaveDavenport/rofi/
Source:         %{name}-%{version}.tar.xz
Patch0:         xdg-terminal.patch
# Required version 0.11 is not yet in TW BuildRequires:  check-devel

BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  bison
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  lib64cairo-devel
BuildRequires:	lib64glib2.0-devel
BuildRequires:  lib64xft-devel
BuildRequires:	lib64x11-devel
BuildRequires:	lib64tiger-devel
BuildRequires:  cppcheck
BuildRequires:  flex >= 2.5.39
BuildRequires:  lib64rsvg2-devel
BuildRequires:  lib64xkbcommon-devel
BuildRequires:   make
BuildRequires:  lib64pango1.0-devel
BuildRequires:  lib64startup-notification-1-devel
BuildRequires:  lib64xcb-util-devel
BuildRequires:	 libxcb-static-devel
BuildRequires:	lib64xcb-util-xrm0
BuildRequires:	lib64xcb-util-static-devel
BuildRequires:  lib64xcb-util-wm-devel
BuildRequires:  lib64xcb-util-xrm-static-devel
BuildRequires:  lib64xcb-util-xrm-devel
BuildRequires:	lib64xcb-util-cursor-devel
Requires:       lib64xcb-ewmh2
Requires:       lib64xcb-util-xrm0
Requires:       xdg-utils

AutoReqProv:    no

%description
rofi is a popup window switcher roughly based on "superswitcher",
requiring only xlib and pango. This version started off as a clone of
simpleswitcher, the version from Sean Pringle. Rofi developed extra
features, like a run dialog, SSH launcher and can act as a drop-in
dmenu replacement.

%package devel
Summary:        Development files for rofi
Group:          Development/Libraries

%description devel
Development files and headers for rofi

%prep
%setup -q 
%patch0 -p1


%build
%configure2_5x --disable-check
make %{?_smp_mflags}

%install
rm -rf %buildroot
%make_install

%clean

rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%{_bindir}
%{_datadir}

%files devel
%{_includedir}
%{_libdir}

%changelog
* Mon Oct 10 2022 tex - 1.7.5-2pclos2022
- simplify specfile for easier builds

* Mon Sep 5 2022 Agent Smith <ruidobranco@yahoo.com.br>  - 1.7.5-1pclos2022
- Updated the package rofi- 1.7.5-1pclos2022, with latest sources.

* Thu Feb 17 2022 Agent Smith <ruidobranco@yahoo.com.br>  - 1.7.3-1pclos2022
- Updated the package rofi- 1.7.3-1pclos2022, with latest sources.

* Wed Dec 29 2021 Agent Smith <ruidobranco@yahoo.com.br>  - 1.7.2-1pclos2022
- Updated the package rofi- 1.7.2-1pclos2022, with latest sources.
- Added dependency on xcb-util-cursor-devel

* Mon Dec 14 2020 Agent Smith <ruidobranco@yahoo.com.br>  - 1.6.1-1pclos2019
- Updated the package rofi- 1.6.1-1pclos2020, with latest sources.

* Wed Sep 16 2020 Agent Smith <ruidobranco@yahoo.com.br>  - 1.6.0-1pclos2020
- Updated the package rofi- 1.6.0-1pclos2020, with latest sources.
- Added dependencies: 
- libxcb-static-devel
- lib64glib2.0-devel
- lib64xcb-util-static-devel
- lib64xcb-util-xrm-static-devel
- lib64xcb-util-xrm0

* Wed Aug 07 2019 Agent Smith <ruidobranco@yahoo.com.br>  - 1.5.4-1pclos2019
- Updated the package rofi- 1.5.4-1pclos2019, with latest sources.

* Fri Apr 12 2019 Agent Smith <ruidobranco@yahoo.com.br>  - 1.5.2-1pclos2019
- Updated the package rofi- 1.5.2-1pclos2019, with latest sources, added dependencies lib64xcb-ewmh2 and lib64xcb-util-xrm0

* Mon Jul 02 2018 Agent Smith <ruidobranco@yahoo.com.br>  - 1.5.1-1pclos2018
- Created the package rofi- 1.5.1-1pclos2018, with latest sources.
